=== core/backends/loopback/CMakeLists.txt ===

set(kded_kdeconnect_SRCS
    ${kded_kdeconnect_SRCS}

    backends/loopback/loopbacklinkprovider.cpp
    backends/loopback/loopbackdevicelink.cpp

    PARENT_SCOPE
)
