=== debian/changelog ===
kdeconnect (0.7.3-0ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1394586)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 26 Nov 2014 22:06:22 +0100

kdeconnect (0.7.3-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Parallelize build

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Nov 2014 15:40:20 +0100
