=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# hardening options stuff
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
# workaround for hardening on cmake
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

%:
	dh $@ --with kde --parallel

override_dh_auto_install:
	dh_auto_install
	# remove '-dev' related files
	rm -rvf debian/tmp/usr/include/*

.PHONY: override_dh_auto_test
