=== plugins/battery/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 install(TARGETS kdeconnect_battery DESTINATION ${PLUGIN_INSTALL_DIR} )
 install(FILES kdeconnect_battery.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
 
-include(macros)
+include(DbusInterfaceMacros)
 
 generate_and_install_dbus_interface(
     kdeconnect_battery
