=== plugins/notifications/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,8 @@
 install(TARGETS kdeconnect_notifications DESTINATION ${PLUGIN_INSTALL_DIR} )
 install(FILES kdeconnect_notifications.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
 
-include(macros)
+include(DbusInterfaceMacros)
+
 generate_and_install_dbus_interface(
     kdeconnect_notifications
     notificationsdbusinterface.h
