=== debian/changelog ===
kdeconnect (0.8-0ubuntu5) wily; urgency=medium

  * Drop hardcoded libqca2 dependency. Let shlibs take care of that.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 14 Aug 2015 10:13:19 +0200

kdeconnect (0.8-0ubuntu4) wily; urgency=medium

  * No-change rebuild against libqca2v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 14 Aug 2015 08:22:28 +0200

kdeconnect (0.8-0ubuntu3) wily; urgency=medium

  * No-change rebuild against libqca2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 21:12:06 +0000

kdeconnect (0.8-0ubuntu2) vivid; urgency=medium

  * Fix LP: #1430590 package kdeconnect depends on transitional qca2
    packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 03 Apr 2015 17:25:43 +0200

kdeconnect (0.8-0ubuntu1) vivid; urgency=medium

  * Update to kdeconnect 0.8 LP: #1424245
  * Add build-dep on libdbus-1-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Mar 2015 14:51:47 +0100

kdeconnect (0.7.3-0ubuntu2) vivid; urgency=medium

  * Update .install file to only install kioslave and kde file action
  * Remove kdeconnect-kde .deb

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 07 Mar 2015 01:19:10 +0100
