=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainer: David Suárez <david.sephirot@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               kdelibs5-dev,
               libqca2-dev,
               libqca2-plugin-ossl,
               libqjson-dev,
               libxtst-dev,
               libfakekey-dev,
               pkg-config,
               pkg-kde-tools,
	       libdbus-1-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/playground/base/kdeconnect-kde
Vcs-Git: git://github.com/deiv/kdeconnect-pkg.git
Vcs-Browser: https://github.com/deiv/kdeconnect-pkg

Package: kdeconnect
Architecture: any
Depends: libqca2-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sshfs, kdeconnect-plasma
Breaks: kdeconnect-kde (<< 0.4.2-2ubuntu2), libkdeconnect1 (<< 0.4.2-2ubuntu2)
Replaces: kdeconnect-kde (<< 0.4.2-2ubuntu2), libkdeconnect1 (<< 0.4.2-2ubuntu2)
Description: connect smartphones to your KDE Plasma Workspace
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.
