=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	dh $@ --with kde --parallel
 
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install --destdir=debian/tmp
 	# remove '-dev' related files
 	rm -rvf debian/tmp/usr/include/*
