=== debian/watch ===

version=3
http://download.kde.org/unstable/kdeconnect/([\d\.]+)/src/kdeconnect-kde-([\d\.]+)\.tar\.xz
