=== debian/changelog ===
kdeconnect (1.0.1-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release (Closes: #833650).
  * Update debian/watch: kdeconnect is now stable.

  [ Diederik de Haas ]
  * Update homepage (Closes: #802189).

  [ Maximiliano Curia ]
  * New upstream release (1.0.1).
  * Refresh patches
  * Use dbus-run-session instead of dbus-launch
  * Update copyright information.

  [ Harald Sitter ]
  * do not run tests at build time
  * run test through xvfb as we now need workign xcb for some tests
  * install openbox, it's being forked as part of the test...
  * force all tests to fork kio slaves from themself

  [ Jonathan Riddell ]
  * add xvfb install for tests

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Oct 2016 16:21:07 +0200

kdeconnect (0.9g-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch to KF5.
    - Remove all Qt4/Plasma 4 related packages from build dpendencies and
      dependencies.
    - Add new build dependencies and dependencies as required. Thanks to the
      Ubuntu folks for they work! I have taken most of the correct build deps
      names from your packaging.
    - Remove unnecessary removals in debian/rules.
  * Update README.md installation.
  * Disable NetworkPackageTests::networkPackageIdentityTest as it seems to
    run fine with network access but fail without it (and thus on sbuild).
  * Add libqca-qt5-2-plugins as a build dependency, it is needed by the tests.
  * Update lintian overrides.
  * Update and simplify debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 05 Feb 2016 00:53:25 -0300

kdeconnect (0.8-1) unstable; urgency=medium

  * New upstream version.
  * Update copyright.
  * Update standards version; no changes needed.
  * debian/control:
      - Add libfakekey-dev and libdbus-1-dev as a build dependency.
      - Change runtime depend to libqca2-plugins instead of deprecated
          libqca2-plugins-{gnupg, ossl} packages.
      - Update Vcs-Browser to use cgit.
  * Remove some older false positives in lintian overrides that are fixed:
      - 'desktop-command-not-in-package' for kcmshell4.
      - 'desktop-entry-lacks-keywords-entry' for kdeconnect.desktop.

 -- David Suárez <david.sephirot@gmail.com>  Sun, 21 Jun 2015 14:15:31 +0200
