=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: David Suárez <david.sephirot@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules,
               libfakekey-dev,
               libkf5configwidgets-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5wayland-dev,
               libqca-qt5-2-dev,
               libqca-qt5-2-plugins,
               libqt5x11extras5-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/kdeconnect-kde
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kdeconnect.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kdeconnect.git

Package: kdeconnect
Architecture: any
Depends: kde-cli-tools,
         libqca-qt5-2-plugins,
         plasma-workspace,
         sshfs,
         ${misc:Depends},
         ${shlibs:Depends}
Description: connect smartphones to your KDE Plasma Workspace
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.
