=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# hardening options stuff
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
# workaround for hardening on cmake
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --with=kf5,pkgkde-symbolshelper --parallel

override_dh_auto_install:
	dh_auto_install

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
