## kdeconnect 1.0.3

=== debian/changelog ===
kdeconnect (1.0.3-0ubuntu2) zesty; urgency=medium

  * Disable autotests for s390x

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 27 Jan 2017 22:40:58 +0000

kdeconnect (1.0.3-0ubuntu1) zesty; urgency=medium

  * Remove patches folder
  * Removing runtime dep on plasma-workspace (Closes LP: #1653952)
  * Change project homepage (Closes LP: #1559256)
  * New upstream release (1.0.3)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 04 Jan 2017 15:50:36 +0000

kdeconnect (1.0.1-1ubuntu1) zesty; urgency=medium

  * Kubuntu initially used different packaging (kdeconnect-plasma)
    for the KF5 port of KDEConnect.  However, Debian are reusing the
    old packaging.  Kubuntu intends to follow Debians lead and revert
    to the old packaging.
  * Disable auto-tests due to failing on no network
  * New upstream release, finally! (1.0)
  * Add build depend on kdoctools-dev
  * Remove old patches from VCS
  * New upstream release (1.0.1)
  * Adding breaks/replaces
  * Add dummy package for kdeconnect-plasma
  * Merged with Debian

 -- Clive Johnston <clivejo@kubuntu.org>  Sun, 11 Dec 2016 20:00:44 +0000
