=== debian/control ===
--- 
+++ 
@@ -24,20 +24,30 @@
                qtbase5-dev,
                qtdeclarative5-dev
 Standards-Version: 3.9.6
-Homepage: https://projects.kde.org/projects/extragear/network/kdeconnect-kde
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kdeconnect.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kdeconnect.git
+Homepage: https://community.kde.org/KDEConnect
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde
 
 Package: kdeconnect
 Architecture: any
 Depends: kde-cli-tools,
          libqca-qt5-2-plugins,
-         plasma-workspace,
          sshfs,
          ${misc:Depends},
          ${shlibs:Depends}
+Replaces: kdeconnect (<< 1.0), kdeconnect-plasma (<< 1.0)
+Breaks: kdeconnect (<< 1.0), kdeconnect-plasma (<< 1.0)
 Description: connect smartphones to your KDE Plasma Workspace
  Tool to integrate the KDE Plasma Workspace with your smartphones and
  similar devices.
  It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
  At the  moment it only supports Android based devices.
+
+Package: kdeconnect-plasma
+Architecture: any
+Depends: kdeconnect
+Breaks: kdeconnect-plasma (<< 1.0)
+Replaces: kdeconnect-plasma (<< 1.0)
+Description: Transitional package (kdeconnect-plasma -> kdeconnect)
+ This is a transitional package for kdeconnect-plasma and can safely be
+ removed.
