=== debian/watch ===
version=3
http://download.kde.org/stable/kdeconnect/([\d\.]+)/src/kdeconnect-kde-([\d\.]+)\.tar\.xz
